Devuan bug report logs - #303
devuan-baseconf: replaces /etc/apt/sources.list.d/devuan.list without asking

Package: devuan-baseconf; Maintainer for devuan-baseconf is Franco (nextime) Lanza <nextime@devuan.org>;

Reported by: Dimitris <dimitris@stinpriza.org>

Date: Fri, 8 Mar 2019 10:14:32 UTC

Severity: normal

Done: fsmithred <fsmithred@gmail.com>

Full log


🔗 View this message in rfc822 format

MIME-Version: 1.0
X-Mailer: MIME-tools 5.509 (Entity 5.509)
X-Loop: owner@bugs.devuan.org
From: "Devuan bug Tracking System" <owner@bugs.devuan.org>
To: Dimitris <dimitris@stinpriza.org>
Subject: bug#303 closed by fsmithred <fsmithred@gmail.com> (303 -
 devuan-baseconf: replaces /etc/apt/sources.list.d/devuan.list without
 asking)
Message-ID: <handler.303.D303.158420400516233.notifdone@bugs.devuan.org>
References: <b8a5dbcd-3682-0da3-02c4-a2fe711a9ca1@gmail.com>
 <ffbd5afe-255b-6487-eb6a-1764c2e7bd5f@stinpriza.org>
X-Devuan-PR-Message: they-closed 303
X-Devuan-PR-Package: devuan-baseconf
Reply-To: 303@bugs.devuan.org
Date: Sat, 14 Mar 2020 16:48:04 +0000
Content-Type: multipart/mixed; boundary="----------=_1584204484-18389-1"
[Message part 1 (text/plain, inline)]
This is an automatic notification regarding your bug report
which was filed against the devuan-baseconf package:

#303: devuan-baseconf: replaces /etc/apt/sources.list.d/devuan.list without asking

It has been closed by fsmithred <fsmithred@gmail.com>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact fsmithred <fsmithred@gmail.com> by
replying to this email.


-- 
303: https://bugs.devuan.org/cgi/bugreport.cgi?bug=303
Devuan Bug Tracking System
Contact owner@bugs.devuan.org with problems
[Message part 2 (message/rfc822, inline)]
From: fsmithred <fsmithred@gmail.com>
To: 303-done@bugs.devuan.org
Subject: 303 - devuan-baseconf: replaces /etc/apt/sources.list.d/devuan.list without asking
Date: Sat, 14 Mar 2020 12:33:05 -0400
close

Fixed in Beowulf.

devuan-baseconf is no longer used, and /etc/apt/sources.list.d/devuan.list
is not created (or replaced if you created one yourself.)

fsmithred
[Message part 3 (message/rfc822, inline)]
From: Dimitris <dimitris@stinpriza.org>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: devuan-baseconf: replaces /etc/apt/sources.list.d/devuan.list without asking
Date: Tue, 5 Mar 2019 00:13:09 +0200
[Message part 4 (text/plain, inline)]
Package: devuan-baseconf
Version: 0.6.4+devuan3
Severity: normal

Hey,

had a modified /etc/apt/sources.list.d/devuan.list in beowulf server and
noticed that recent devuan-baseconf update, replaced that file.
Tried on a ceres pc too, modified devuan.list and reinstalled
devuan-baseconf, same behavior.
while it didn't do any harm, i think it would be a safer option to ask
about replacing any file in /etc.

thanks,
d.

-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux beowulf/ceres
Release:	10
Codename:	n/a
Architecture: x86_64

Kernel: Linux 4.19.0-3-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8),
LANGUAGE=en_US:en (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)
LSM: AppArmor: enabled

-- debconf information:
* devuan-baseconf/components: main
* devuan-baseconf/note:
* devuan-baseconf/suite: ceres

[signature.asc (application/pgp-signature, attachment)]

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Wed Nov 25 19:52:35 2020;